#
# Fix or remove  install.patch (seems systemd files are installed now)
Summary:	The sar and iostat system monitoring commands
Summary(pl.UTF-8):	Polecenia sar i iostat dla systemu Linux
Summary(ru.UTF-8):	Содержит программы системного мониторинга sar и iostat
Summary(uk.UTF-8):	Містить команди системного моніторингу sar та iostat
Summary(zh_CN.UTF-8):	sar, iostat 等系统监视工具
# use stable versions
# Sysstat 12.1.x released (development version).
# Sysstat 12.0.x released (stable version).
Name:		sysstat
Version:	12.2.1
Release:	1%{?tld}
License:	GPL v2
Group:		Applications/System
Source0:	http://pagesperso-orange.fr/sebastien.godard/%{name}-%{version}.tar.xz
# Source0-md5:	9dfff5fac24e35bd92fb7896debf2ffb
Source2:	%{name}.init
Source3:	crontab
Patch0:		%{name}-install.patch
URL:		http://perso.wanadoo.fr/sebastien.godard/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	lm_sensors-devel
BuildRequires:	rpmbuild(macros) >= 1.671
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,preun):	/sbin/chkconfig
Requires:	cronjobs
Requires:	rc-scripts
Requires:	xz
Obsoletes:	iostat
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_prefix}/lib/sa

%description
This package provides the sar and iostat commands for the Linux
operating system, similar to their traditional UNIX counterparts. They
enable system monitoring of disk, network, and other IO activity.

%description -l pl.UTF-8
Pakiet ten udostępnia polecenia sar i iostat dla systemu Linux podobne
w działaniu do tradycyjnych narzędzi systemu Unix. Polecenia te
umożliwiają monitorowanie obciążenia zasobów dyskowych, interfejsów
sieciowych i innych operacji wejścia/wyjścia.

%description -l ru.UTF-8
Этот пакет содержит программы sar и iostat для Linux, похожие на
традиционные одноименные программы UNIX. Они позволяют осуществлять
мониторинг дисковой, сетевой и прочей активности системы.

%description -l uk.UTF-8
Цей пакет містить програми sar та iostat для Linux, схожі на
традиційні відповідні програми UNIX. Вони дозволяють здійснювати
моніторинг дискової, мережевої та іншої активності системи.

%description -l zh_CN.UTF-8
本软件提供了用于Linux的系统监视工具, 可以监视磁盘, 网络以及 其他 IO 的活动情况.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	history=28 \
	compressafter=31 \
	cron_owner=root \
	cron_interval=1 \
	sadc_options='-L -S XDISK' \
	sa_lib_dir=%{_libexecdir} \
	ZIP=%{_bindir}/xz \
	--enable-install-cron \
	--disable-stripping

%{__sed} -i 's/SADC_OPTIONS=""/SADC_OPTIONS="-L -S XDISK"/' sysstat.sysconfig

%{__make} -j1 \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{cron.d,rc.d/init.d,sysconfig},/var/log/sa}

%{__make} install \
	CHOWN=/bin/true \
	SYSTEMCTL=/bin/true \
	DESTDIR=$RPM_BUILD_ROOT \
	IGNORE_MAN_GROUP=y \
	IGNORE_FILE_ATTRIBUTES=y

install -p %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/sysstat
cp -p %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.d/%{name}

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add sysstat
%service sysstat restart

%preun
if [ "$1" = "0" ]; then
	%service sysstat stop
	/sbin/chkconfig --del sysstat
fi

%triggerpostun -- %{name} < 11.7.1-1
C=0
for log in /var/log/sa/sa[0-9]*; do
	if (LC_ALL=C %{_bindir}/sadf -C "$log" 2>&1 | grep -q "Current sysstat version cannot read the format of this file"); then
		echo "Converting file $log to current format: "
		if (%{_bindir}/sadf -c "$log" > "$log.migrate"); then
			chown --reference "$log" "$log.migrate"
			chmod --reference "$log" "$log.migrate"
			mv "$log.migrate" "$log"
			C=1
		else
			echo "$log MIGRATION FAILED." >&2
		fi
	fi
done
if [ "$C" -eq 1 ]; then
	%service sysstat restart
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES CREDITS README.md FAQ.md
%attr(755,root,root) %{_bindir}/cifsiostat
%attr(755,root,root) %{_bindir}/iostat
%attr(755,root,root) %{_bindir}/mpstat
%attr(755,root,root) %{_bindir}/tapestat
%attr(755,root,root) %{_bindir}/pidstat
%attr(755,root,root) %{_bindir}/sadf
%attr(755,root,root) %{_bindir}/sar
%dir %{_libexecdir}
%attr(755,root,root) %{_libexecdir}/sa1
%attr(755,root,root) %{_libexecdir}/sa2
%attr(755,root,root) %{_libexecdir}/sadc
%attr(754,root,root) /etc/rc.d/init.d/sysstat
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/sysstat
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/sysstat
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/sysstat.ioconf
%{_mandir}/man1/cifsiostat.1*
%{_mandir}/man1/iostat.1*
%{_mandir}/man1/mpstat.1*
%{_mandir}/man1/tapestat.1*
%{_mandir}/man1/pidstat.1*
%{_mandir}/man1/sadf.1*
%{_mandir}/man1/sar.1*
%{_mandir}/man5/sysstat.5*
%{_mandir}/man8/sa1.8*
%{_mandir}/man8/sa2.8*
%{_mandir}/man8/sadc.8*
%attr(750,root,root) %dir /var/log/sa
%changelog
* Mon Apr 01 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/sysstat.git;a=log;h=5a64743495e7aa625a02771168980fcef6516bab

* Mon Apr 06 2020 Marcin Krol <hawk@tld-linux.org> 5a64743
- updated to 12.2.1

* Thu Sep 05 2019 Marcin Krol <hawk@tld-linux.org> 22116f0
- merged too much, fix crontab, release 8

* Mon Aug 26 2019 Marcin Krol <hawk@tld-linux.org> fc90177
- updated to 12.0.2, partial PLD merge

* Sun May 27 2018 Marcin Krol <hawk@tld-linux.org> c438339
- cleanup

* Wed May 09 2018 Marcin Krol <hawk@tld-linux.org> 41bad38
- missing file

* Wed Apr 11 2018 Marcin Krol <hawk@tld-linux.org> c52e2a0
- updated to 11.6.3

* Thu Jul 30 2015 Marcin Krol <hawk@tld-linux.org> a70eedc
- fix install

* Thu Jul 30 2015 Marcin Krol <hawk@tld-linux.org> 9c498c2
- release 6

* Thu Jul 30 2015 Marcin Krol <hawk@tld-linux.org> 421ec1b
- drop systemd stuff

* Thu Jul 30 2015 Marcin Krol <hawk@tld-linux.org> ec8e310
- from PLD

